> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Review



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspaceId}/assistant/conversations/{conversationId}/messages/{messageId}/report-drafts/{draftId}/review
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/assistant/conversations/{conversationId}/messages/{messageId}/report-drafts/{draftId}/review:
    post:
      tags:
        - Assistant Report Draft Reviews
      summary: Review
      operationId: AssistantReportDraftReviewsController_review_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
        - name: conversationId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
        - name: messageId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
        - name: draftId
          required: true
          in: path
          schema:
            type: string
            minLength: 1
            maxLength: 200
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AssistantReportDraftReviewBodyDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssistantReportDraftReviewResponseDto'
components:
  schemas:
    AssistantReportDraftReviewBodyDto:
      type: object
      properties:
        projectId:
          anyOf:
            - type: string
              pattern: ^[1-9]\d*$
            - type: 'null'
        templateId:
          type: string
          pattern: ^[1-9]\d*$
        baseVersion:
          type: integer
          exclusiveMinimum: 0
          maximum: 9007199254740991
        baseWorkingCopyRevision:
          anyOf:
            - type: string
              minLength: 1
              maxLength: 100
            - type: 'null'
      required:
        - projectId
        - templateId
        - baseVersion
        - baseWorkingCopyRevision
      additionalProperties: false
    AssistantReportDraftReviewResponseDto:
      oneOf:
        - type: object
          properties:
            status:
              type: string
              enum:
                - ready
            fence:
              type: object
              properties:
                contractVersion:
                  type: number
                  enum:
                    - 1
                templateId:
                  type: string
                  pattern: ^[1-9]\d*$
                baseVersion:
                  type: integer
                  exclusiveMinimum: 0
                  maximum: 9007199254740991
                baseWorkingCopyRevision:
                  type:
                    - string
                    - 'null'
                fingerprint:
                  type: string
                  pattern: ^[a-f0-9]{64}$
              required:
                - contractVersion
                - templateId
                - baseVersion
                - baseWorkingCopyRevision
                - fingerprint
              additionalProperties: false
            groups:
              maxItems: 20
              type: array
              items:
                type: object
                properties:
                  id:
                    type: string
                  family:
                    type: string
                    enum:
                      - templateSetting
                      - pageName
                      - pagePresentation
                      - layoutProperties
                      - blockProperty
                      - structure
                  title:
                    $ref: '#/components/schemas/ReportReviewLabel'
                  targetName:
                    $ref: '#/components/schemas/ReportReviewLabel'
                  before:
                    anyOf:
                      - type: string
                      - type: number
                      - type: boolean
                      - type: 'null'
                      - type: object
                        properties:
                          top:
                            type: number
                            minimum: 5
                            maximum: 50
                            multipleOf: 0.5
                          right:
                            type: number
                            minimum: 5
                            maximum: 50
                            multipleOf: 0.5
                          bottom:
                            type: number
                            minimum: 5
                            maximum: 50
                            multipleOf: 0.5
                          left:
                            type: number
                            minimum: 5
                            maximum: 50
                            multipleOf: 0.5
                        required:
                          - top
                          - right
                          - bottom
                          - left
                        additionalProperties: false
                      - type: array
                        items:
                          type: string
                  after:
                    anyOf:
                      - type: string
                      - type: number
                      - type: boolean
                      - type: 'null'
                      - type: object
                        properties:
                          top:
                            type: number
                            minimum: 5
                            maximum: 50
                            multipleOf: 0.5
                          right:
                            type: number
                            minimum: 5
                            maximum: 50
                            multipleOf: 0.5
                          bottom:
                            type: number
                            minimum: 5
                            maximum: 50
                            multipleOf: 0.5
                          left:
                            type: number
                            minimum: 5
                            maximum: 50
                            multipleOf: 0.5
                        required:
                          - top
                          - right
                          - bottom
                          - left
                        additionalProperties: false
                      - type: array
                        items:
                          type: string
                  beforeDescription:
                    $ref: '#/components/schemas/ReportReviewLabel'
                  afterDescription:
                    $ref: '#/components/schemas/ReportReviewLabel'
                  editor:
                    anyOf:
                      - oneOf:
                          - type: object
                            properties:
                              kind:
                                type: string
                                enum:
                                  - margins
                              nullable:
                                type: boolean
                                enum:
                                  - true
                            required:
                              - kind
                              - nullable
                            additionalProperties: false
                          - type: object
                            properties:
                              kind:
                                type: string
                                enum:
                                  - fields
                              nullable:
                                type: boolean
                                enum:
                                  - false
                              maxItems:
                                type: number
                              maxLength:
                                type: number
                              choices:
                                anyOf:
                                  - type: array
                                    items:
                                      type: string
                                  - type: 'null'
                            required:
                              - kind
                              - nullable
                              - maxItems
                              - maxLength
                              - choices
                            additionalProperties: false
                          - type: object
                            properties:
                              kind:
                                type: string
                                enum:
                                  - text
                              nullable:
                                type: boolean
                              maxLength:
                                type: number
                            required:
                              - kind
                              - nullable
                              - maxLength
                            additionalProperties: false
                          - type: object
                            properties:
                              kind:
                                type: string
                                enum:
                                  - number
                              nullable:
                                type: boolean
                              min:
                                type: number
                              max:
                                type: number
                              step:
                                type:
                                  - number
                                  - 'null'
                            required:
                              - kind
                              - nullable
                              - min
                              - max
                              - step
                            additionalProperties: false
                          - type: object
                            properties:
                              kind:
                                type: string
                                enum:
                                  - boolean
                              nullable:
                                type: boolean
                            required:
                              - kind
                              - nullable
                            additionalProperties: false
                          - type: object
                            properties:
                              kind:
                                type: string
                                enum:
                                  - choice
                              nullable:
                                type: boolean
                              choices:
                                type: array
                                items:
                                  type: string
                            required:
                              - kind
                              - nullable
                              - choices
                            additionalProperties: false
                      - type: 'null'
                  effectCount:
                    type: number
                  details:
                    type: array
                    items:
                      $ref: '#/components/schemas/ReportReviewLabel'
                  requires:
                    type: array
                    items:
                      type: string
                required:
                  - id
                  - family
                  - title
                  - targetName
                  - before
                  - after
                  - editor
                  - effectCount
                  - details
                  - requires
                additionalProperties: false
          required:
            - status
            - fence
            - groups
          additionalProperties: false
        - type: object
          properties:
            status:
              type: string
              enum:
                - unchanged
            fence:
              type: object
              properties:
                contractVersion:
                  type: number
                  enum:
                    - 1
                templateId:
                  type: string
                  pattern: ^[1-9]\d*$
                baseVersion:
                  type: integer
                  exclusiveMinimum: 0
                  maximum: 9007199254740991
                baseWorkingCopyRevision:
                  type:
                    - string
                    - 'null'
                fingerprint:
                  type: string
                  pattern: ^[a-f0-9]{64}$
              required:
                - contractVersion
                - templateId
                - baseVersion
                - baseWorkingCopyRevision
                - fingerprint
              additionalProperties: false
          required:
            - status
            - fence
          additionalProperties: false
        - type: object
          properties:
            status:
              type: string
              enum:
                - atomicOnly
            reason:
              type: string
              enum:
                - historicalBase
                - grouping
                - metadataSize
          required:
            - status
            - reason
          additionalProperties: false
    ReportReviewLabel:
      anyOf:
        - type: object
          properties:
            text:
              type: string
          required:
            - text
          additionalProperties: false
        - type: object
          properties:
            key:
              type: string
            values:
              type: object
              propertyNames:
                type: string
              additionalProperties:
                anyOf:
                  - $ref: '#/components/schemas/ReportReviewLabel'
                  - type: number
          required:
            - key
          additionalProperties: false

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.